/* <reset> */
*, *::before, *::after {
    box-sizing: border-box;
}

* {
    margin: 0;
    padding: 0;
    -webkit-tap-highlight-color: transparent;
}

html, body {
    height: 100%;
}

a { 
    color:inherit;
    text-decoration: none;
}
/* </reset> */

html {
    --lg: 0;
    --sm: 1;

    --color1: #fafaf7;
    --color2: #f2f2f0;
}

@media only screen and (min-width: 768px) {
    html {
        --lg: 1;
        --sm: 0;
    }
}

* {
    font-family: 'Montserrat', sans-serif;
}

html {
    font-size: 10px;
    scroll-behavior: smooth;
}

body {
    height: fit-content;
    background: var(--color1);
}

header {
    position: sticky;
    top: 0;
    background: var(--color2);
}

header > div:nth-child(1) {
    display: flex;
    flex-wrap: wrap;
    align-items: center;
    padding: 1rem 2rem;
    margin: auto;
}

.nav-wrapper {
    position: relative;
    width: 100%;
    font-size: 2rem;
}

.nav-wrapper > nav {
    display: flex;
    flex-direction: column;
    align-items: center;
    position: absolute;
    width: 100%;
    background: var(--color2);
    transform: scaleY(0);
    transform-origin: top;
    transition: transform .3s ease-out;
}

.nav-wrapper > nav.open {
    transform: scaleY(1);
}

.nav-wrapper > nav > a {
    margin: 1rem 0 2rem 0;
}

.logo {
    display: flex;
    align-items: center;
}

.logo > svg {
    width: 5rem;
    height: 5rem;
}

.logo > h1 {
    font-size: 3rem;
    font-weight: bold;
    margin-left: 1rem;
}

.hamburger {
    position: relative;
    width: 3rem;
    height: 3rem;
    font-size: .5rem; /* UPDATE WHEN CHANGING WIDTH: increase or decrease with same percentage */
    margin-left: auto;
    cursor: pointer;
    transition-duration: 0.5s;
}

.hamburger .icon-left {
    transition-duration: 0.5s;
    position: absolute;
    height: .8em;
    width: 3em;
    top: 3em;
    background-color: #000;
    left: 0em;
}

.hamburger .icon-right {
    transition-duration: 0.5s;
    position: absolute;
    height: .8em;
    width: 3em;
    top: 3em;
    background-color: #000;
    left: 3em;
}

.hamburger.open .icon-left, 
.hamburger.open .icon-right {
    transition-duration: 0.5s;
    background: transparent;
}

.hamburger .icon-left:before,
.hamburger .icon-right:before {
    transition-duration: 0.5s;
    position: absolute;
    width: 3em;
    height: .8em;
    background-color: #000;
    content: "";
    top: -2em;
}

.hamburger .icon-left:after,
.hamburger .icon-right:after {
    transition-duration: 0.5s;
    position: absolute;
    width: 3em;
    height: .8em;
    background-color: #000;
    content: "";
    top: 2em;
}

.hamburger.open .icon-left:before {
    transform: rotateZ(45deg) scaleX(1.4) translate(.4em, .4em);
}

.hamburger.open .icon-left:after {
    transform: rotateZ(-45deg) scaleX(1.4) translate(.4em, -.4em);
}

.hamburger.open .icon-right:before {
    transform: rotateZ(-45deg) scaleX(1.4) translate(-.4em, .4em);
}

.hamburger.open .icon-right:after {
    transform: rotateZ(45deg) scaleX(1.4) translate(-.4em, -.4em);
}

.menu {
    display: none;
    margin-left: auto;
    font-size: 1.8rem;
}

.menu a:not(:last-of-type) {
    margin-right: 1.5rem;
}

.menu a,
.nav-wrapper > nav > a {
    transition: color .3s;
}

.menu a:hover,
.nav-wrapper > nav > a:hover {
    color: #ae001a;
}

@media only screen and (min-width: 800px) {
    .hamburger {
        display: none;
    }

    .menu {
        display: block;
    }
}

main {
    margin: auto;
    padding: 2rem 2rem;
    max-width: 1024px;
    font-size: 2rem;
}

main > .opening {
    max-width: calc(var(--sm) * 38rem + var(--lg) * 60rem);
    margin: 10rem auto;
    display: flex;
    flex-direction: column;
    font-size: calc(var(--sm) * 4rem + var(--lg) * 5rem);
    font-weight: bold;
}

main > .opening > div:last-child {
    align-self: flex-end;
}

.opening > div:first-child {
    animation: 1s slidein-left;
}

.opening > div:last-child {
    animation: 1s slidein-right;
}

@keyframes slidein-left {
    from {
        opacity: 0;
        transform: translateX(-100%);
    }
  
    to {
        opacity: 1;
        transform: translateX(0%);
    }
}

@keyframes slidein-right {
    from {
        opacity: 0;
        transform: translateX(100%);
    }
  
    to {
        opacity: 1;
        transform: translateX(0%);
    }
}

main > div {
    margin-bottom: 8rem;
    scroll-margin-top: 8rem;
}

main > div > h2 {
    margin-bottom: 2rem;
    font-size: calc(var(--sm) * 3rem + var(--lg) * 4rem);
    text-align: center;
}

main > div > div > p {
    margin-bottom: 3rem;
}

#services > div,
#team > div {
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;
}

#services > div > .card,
#team > div > .card {
    width: calc(var(--sm) * 100% + var(--lg) * (50% - 1rem));
    margin-bottom: 2rem;
    padding-top: 2rem;
    border-radius: 1rem;
    box-shadow: .2rem .2rem 1rem 0 rgba(0, 0, 0, .1);
    background: white;
    overflow: hidden;
    display: flex;
    flex-direction: column;
}

#services > div > .card {
    padding: 2rem;
}

#services > div > .card > h3 {
    margin-bottom: 1rem;
    font-size: 2.5rem;
}

#services > div > .card > div {
    font-size: 1.8rem;
}

#team > div > .card > img {
    display: block;
    width: 50%;
    align-self: center;
    border-radius: 1rem;
}

#team > div > .card > .avatar-text > h3 {
    margin-top: 1rem;
    font-size: 3rem;
    font-weight: normal;
    text-align: center;
    color: #6b0015;
}

#team > div > .card > .avatar-text > div {
    padding: 2rem;
    font-size: 1.8rem;
}

#contact > div {
    display: flex;
    flex-direction: column;
    align-items: center;
}

#contact > div > a {
    background: #6b0015;
    max-width: max-content;
    margin-top: 2rem;
    padding: 2rem;
    border-radius: .5rem;
    font-size: 2rem;
    font-weight: bold;
    color: white;
    transition: all .3s;
}

#contact > div > a:hover {
    background: #ae001a;
}

footer {
    background: #161b22;
    color: #7d8590;
    text-align: center;
    font-size: 1.5rem;
    padding: 4rem 0;
}

.cookie-consent {
    display: none;
    position: fixed;
    left: 0rem;
    bottom: 0rem;
    width: 100%;
    padding: 1rem;
    text-align: center;
    font-size: calc(var(--sm) * 1.5rem + var(--lg) * 1.8rem);
    background: #292929;
    color: white;
    transform: translateY(100%);
    transition: transform .3s;
}

.cookie-consent > button {
    font-size: calc(var(--sm) * 1.5rem + var(--lg) * 1.8rem);
    margin-top: 1rem;
    padding: 1rem;
    background: #6b0015;
    border: 0;
    border-radius: 0.5rem;
    color: white;
    cursor: pointer;
}
